# $Revision: 1.39 $, $Date: 2011/09/28 05:53:31 $
#
# Conditional build:
%bcond_without	tests		# build without tests
#
Summary:	David's Advanced Revision Control System - yet another replacement for CVS
Summary(pl.UTF-8):	David's Advanced Revision Control System - jeszcze jeden zamiennik CVS-a
Name:		darcs
Version:	2.5.2
Release:	1
License:	GPL v2
Group:		Development/Version Control
Source0:	http://darcs.net/releases/%{name}-%{version}.tar.gz
# Source0-md5:	491b6ca01dec245a16112ad2c7e07dc1
Patch0:		%{name}-ghc72.patch
Patch1:		%{name}-relax-regex-libs-deps.patch
Patch2:		%{name}-tests-ghc72.patch
URL:		http://darcs.net/
BuildRequires:	curl-devel >= 7.19.1
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-hashed-storage >= 0.5
BuildRequires:	ghc-haskeline >= 0.6.1
BuildRequires:	ghc-mmap >= 1:0.5
BuildRequires:	ghc-tar >= 0.3
BuildRequires:	ghc-terminfo >= 0.3
BuildRequires:	ghc-utf8-string >= 0.3
BuildRequires:	ghc-zlib >= 0.5.1.0
BuildRequires:	gmp-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		ghcdir		ghc-%(/usr/bin/ghc --numeric-version)

%description
David's Advanced Revision Control System is yet another replacement
for CVS. It is written in Haskell, and has been used on Linux, MacOS
X, FreeBSD, OpenBSD and Microsoft Windows. Darcs includes a CGI
script, which can be used to view the contents of your repository.

%description -l pl.UTF-8
David's Advanced Revision Control System (zaawansowany system kontroli
wersji Davida) to jeszcze jeden zamiennik CVS-a. Jest napisany w
Haskellu, dotychczas był używany na Linuksie, MacOS-ie X, FreeBSD,
OpenBSD i Microsoft Windows. Darcs zawiera skrypt CGI, który może być
używany do oglądania zawartości repozytorium.

%package -n bash-completion-darcs
Summary:	bash-completion for darcs
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla darcsa
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-darcs
This package provides bash-completion for darcs.

%description -n bash-completion-darcs -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla darcsa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
runhaskell Setup.lhs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version} \
	--flags="curl curl-pipelining terminfo color mmap"

runhaskell Setup.lhs build
%{?with_tests:runhaskell Setup.lhs test}

runhaskell Setup.lhs haddock --executables \
	--css=doc/darcs.css

%install
rm -rf $RPM_BUILD_ROOT

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} %{name}-%{version}-doc

# bash completion
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -p contrib/darcs_completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

# we only want the binary
rm -r $RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%doc %{name}-%{version}-doc/html
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n bash-completion-darcs
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: darcs.spec,v $
Revision 1.39  2011/09/28 05:53:31  baggins
- rel 1

Revision 1.38  2011/09/27 22:00:25  baggins
- BR ghc-tar

Revision 1.37  2011/09/27 21:43:43  baggins
- 2.5.2
- patches from gentoo to build it with ghc 7.2

Revision 1.36  2011/09/01 17:05:40  arekm
- release 3

Revision 1.35  2011/08/31 18:28:48  arekm
- release 2

Revision 1.34  2010/08/28 01:02:00  baggins
- rel 1

Revision 1.33  2010/08/27 21:19:39  baggins
- added test bcond

Revision 1.32  2010/08/27 20:49:34  baggins
- 2.4.4
- updated deps

Revision 1.31  2010/05/16 00:12:25  sparky
- BR: gmp-devel (probably should be R: in ghc), pkgconfig

Revision 1.30  2010/04/12 09:52:12  baggins
- rel 2
- moved bash completion to separate package

Revision 1.29  2010/04/10 19:37:11  baggins
- rel 1

Revision 1.28  2010/04/10 18:53:43  baggins
- updated build and install

Revision 1.27  2010/04/08 22:06:41  baggins
- TODO -> BRs/Rs

Revision 1.26  2010/04/07 21:15:08  baggins
- more TODO

Revision 1.25  2010/04/07 21:14:21  baggins
- 2.4

Revision 1.24  2009/11/26 00:11:21  baggins
- 2.3.1
- build system changed to ghc way
- doesn't build, see TODO

Revision 1.23  2008/02/24 23:45:23  glen
- release 2

Revision 1.22  2007-06-26 07:06:20  arekm
- final 1.0.9; enable git support

Revision 1.21  2007/02/19 14:43:47  qrczak
- 1.0.9rc2 (1.0.8 doesn't build with ghc-6.6).

Revision 1.20  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.18  2006/10/19 23:58:07  aredridel
- 1.0.8

Revision 1.17  2006/03/15 20:33:54  aredridel
- up to 1.0.6

Revision 1.16  2006/01/09 19:15:43  aredridel
- up to 1.0.5

Revision 1.15  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.14  2005/11/22 18:37:34  aredridel
- up to 1.0.4
- include bash completion

Revision 1.13  2005/09/17 10:54:14  arekm
- readline 5.0

Revision 1.12  2005/07/26 10:31:59  jpc
- BR: readline-devel

Revision 1.11  2005/05/27 05:57:55  aredridel
- up to 1.0.3

Revision 1.10  2005/02/06 10:30:34  qboosh
- simplified

Revision 1.9  2005/02/06 03:20:45  aredridel
- up to 1.0.2 final
- STBR

Revision 1.8  2005/02/03 20:56:47  qboosh
- proper versioning

Revision 1.7  2005/01/29 01:50:52  aredridel
- up to 1.0.2pr2

Revision 1.6  2004/12/16 14:52:42  paszczus
- release 1

Revision 1.5  2004/12/14 14:38:51  paszczus
- updated to 1.0.1; test build please...

Revision 1.4  2004/11/24 08:50:28  undefine
- up to final 1.0.0

Revision 1.3  2004/10/28 19:47:43  aredridel
- up to 1.0.0rc3

Revision 1.2  2004/06/18 23:11:03  qboosh
- pl

Revision 1.1  2004/06/13 15:18:30  arekm
- initial pld release
